Bug 219947 - [exp-run] devel/readline: update to 7.0 patch 3
Summary: [exp-run] devel/readline: update to 7.0 patch 3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://reviews.freebsd.org/D11172
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-12 23:33 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2017-06-28 14:52 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2017-06-12 23:33:47 UTC
Request exp-run
Comment 1 Antoine Brodin freebsd_committer 2017-06-27 06:08:30 UTC
Exp-run looks fine.
Comment 2 commit-hook freebsd_committer 2017-06-27 13:48:07 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Jun 27 13:47:03 UTC 2017
New revision: 444463
URL: https://svnweb.freebsd.org/changeset/ports/444463

Log:
  Update devel/readline to 7.0 patch 3

  - Bump PORTREVISION for shlib change

  Changes:	https://cnswww.cns.cwru.edu/php/chet/readline/CHANGES
  		https://lists.gnu.org/archive/html/bug-bash/2016-09/msg00107.html
  		https://lists.gnu.org/archive/html/bug-readline/2017-01/msg00002.html
  Differential Revision:	https://reviews.freebsd.org/D11172
  PR:		219947
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/readline.mk
  head/Mk/bsd.ruby.mk
  head/audio/ardour5/Makefile
  head/audio/cutmp3/Makefile
  head/audio/ecasound/Makefile
  head/audio/fluidsynth/Makefile
  head/audio/jack/Makefile
  head/audio/kid3-kde4/Makefile
  head/audio/lash/Makefile
  head/audio/libsmf/Makefile
  head/audio/mpiosh/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/supercollider/Makefile
  head/biology/mrbayes/Makefile
  head/cad/gnucap/Makefile
  head/cad/linuxcnc-devel/Makefile
  head/cad/ngspice_rework/Makefile
  head/comms/obexapp/Makefile
  head/comms/zssh/Makefile
  head/databases/cego/Makefile
  head/databases/clickhouse/Makefile
  head/databases/freetds/Makefile
  head/databases/gdbm/Makefile
  head/databases/gqlplus/Makefile
  head/databases/grass/Makefile
  head/databases/libgda5/Makefile
  head/databases/libodbc++/Makefile
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb102-server/Makefile
  head/databases/mariadb55-client/Makefile
  head/databases/mdbtools/Makefile
  head/databases/mysql55-server/Makefile
  head/databases/opendbx/Makefile
  head/databases/percona55-server/Makefile
  head/databases/pg_citus/Makefile
  head/databases/postgresql92-server/Makefile
  head/databases/postgresql95-plperl/Makefile
  head/databases/riak/Makefile
  head/databases/riak2/Makefile
  head/databases/sqlcached/Makefile
  head/databases/sqlite2/Makefile
  head/databases/sqlite3/Makefile
  head/databases/sqlitestudio/Makefile
  head/databases/sqlrelay/Makefile
  head/databases/sqsh/Makefile
  head/databases/tarantool/Makefile
  head/databases/virtuoso/Makefile
  head/deskutils/genius/Makefile
  head/deskutils/pal/Makefile
  head/devel/ald/Makefile
  head/devel/arduino-avrdude/Makefile
  head/devel/avrdude/Makefile
  head/devel/bossa/Makefile
  head/devel/cdecl/Makefile
  head/devel/cgdb/Makefile
  head/devel/clewn/Makefile
  head/devel/devtodo/Makefile
  head/devel/elf/Makefile
  head/devel/elfsh/Makefile
  head/devel/gdb/Makefile
  head/devel/gdb66/Makefile
  head/devel/gnatcoll/Makefile
  head/devel/gpsim/Makefile
  head/devel/hs-readline/Makefile
  head/devel/libbobcat/Makefile
  head/devel/libepp-nicbr/Makefile
  head/devel/libnfc/Makefile
  head/devel/libreadline-java/Makefile
  head/devel/libvirt/Makefile
  head/devel/mico/Makefile
  head/devel/mspdebug/Makefile
  head/devel/omake/Makefile
  head/devel/opendht/Makefile
  head/devel/openzz/Makefile
  head/devel/p5-Term-ReadLine-Gnu/Makefile
  head/devel/pcre/Makefile
  head/devel/pcre2/Makefile
  head/devel/php56-readline/Makefile
  head/devel/php70-readline/Makefile
  head/devel/php71-readline/Makefile
  head/devel/piklab/Makefile
  head/devel/pure-readline/Makefile
  head/devel/readline/Makefile
  head/devel/readline/distinfo
  head/devel/readline/pkg-plist
  head/devel/remake/Makefile
  head/devel/rlwrap/Makefile
  head/devel/rudiments/Makefile
  head/devel/tclreadline/Makefile
  head/devel/tdl/Makefile
  head/devel/tig/Makefile
  head/devel/urjtag/Makefile
  head/emulators/bochs/Makefile
  head/emulators/hatari/Makefile
  head/ftp/hsftp/Makefile
  head/ftp/lftp/Makefile
  head/ftp/quftp/Makefile
  head/ftp/yafc/Makefile
  head/games/eif/Makefile
  head/games/freeciv/Makefile
  head/games/ggz-txt-client/Makefile
  head/games/gnubg/Makefile
  head/games/gnurobots/Makefile
  head/games/hoichess/Makefile
  head/games/netspades/Makefile
  head/graphics/bugle/Makefile
  head/graphics/gphoto2/Makefile
  head/graphics/s10sh/Makefile
  head/lang/Gofer/Makefile
  head/lang/algol68g/Makefile
  head/lang/cint/Makefile
  head/lang/gawk/Makefile
  head/lang/gcl/Makefile
  head/lang/ghc/Makefile
  head/lang/guile2/Makefile
  head/lang/io/Makefile
  head/lang/kawa/Makefile
  head/lang/lci/Makefile
  head/lang/librep/Makefile
  head/lang/mdk/Makefile
  head/lang/micropython/Makefile
  head/lang/newlisp/Makefile
  head/lang/newlisp-devel/Makefile
  head/lang/nickle/Makefile
  head/lang/ohugs/Makefile
  head/lang/picoc/Makefile
  head/lang/python27/Makefile
  head/lang/python33/Makefile
  head/lang/python34/Makefile
  head/lang/python35/Makefile
  head/lang/python36/Makefile
  head/lang/rubinius/Makefile
  head/lang/scm/Makefile
  head/lang/sdcc/Makefile
  head/lang/sdcc-devel/Makefile
  head/lang/spidermonkey17/Makefile
  head/lang/spidermonkey170/Makefile
  head/lang/spidermonkey185/Makefile
  head/lang/spidermonkey24/Makefile
  head/lang/spidermonkey38/Makefile
  head/lang/swi-pl/Makefile
  head/lang/yap/Makefile
  head/lang/yap-devel/Makefile
  head/mail/abook/Makefile
  head/mail/mailfromd/Makefile
  head/mail/mailutils/Makefile
  head/mail/nmzmail/Makefile
  head/math/R/Makefile
  head/math/aamath/Makefile
  head/math/asir2000/Makefile
  head/math/asymptote/Makefile
  head/math/calc/Makefile
  head/math/eukleides/Makefile
  head/math/eval/Makefile
  head/math/fityk/Makefile
  head/math/giacxcas/Makefile
  head/math/gnuplot/Makefile
  head/math/gretl/Makefile
  head/math/gri/Makefile
  head/math/hfst/Makefile
  head/math/lambda/Makefile
  head/math/libqalculate/Makefile
  head/math/mathomatic/Makefile
  head/math/octave/Makefile
  head/math/pari/Makefile
  head/math/pspp/Makefile
  head/math/rpy2/Makefile
  head/math/sfst/Makefile
  head/math/spar/Makefile
  head/math/topaz/Makefile
  head/math/wcalc/Makefile
  head/misc/pinfo/Makefile
  head/misc/tempcontrol/Makefile
  head/misc/ytree/Makefile
  head/multimedia/xine/Makefile
  head/net/afpfs-ng/Makefile
  head/net/bird/Makefile
  head/net/bird-devel/Makefile
  head/net/c3270/Makefile
  head/net/ccxstream/Makefile
  head/net/coda6_server/Makefile
  head/net/glusterfs/Makefile
  head/net/kamailio/Makefile
  head/net/linphone/Makefile
  head/net/msend/Makefile
  head/net/nfsshell/Makefile
  head/net/ocserv/Makefile
  head/net/pmf/Makefile
  head/net/quagga/Makefile
  head/net/samba44/Makefile
  head/net/samba45/Makefile
  head/net/samba46/Makefile
  head/net/socat/Makefile
  head/net/yaz/Makefile
  head/net/zebra/Makefile
  head/net-im/freetalk/Makefile
  head/net-im/profanity/Makefile
  head/net-im/telegram/Makefile
  head/net-im/zephyr/Makefile
  head/net-mgmt/argus3-clients/Makefile
  head/net-mgmt/scli/Makefile
  head/net-mgmt/send/Makefile
  head/net-p2p/microdc2/Makefile
  head/net-p2p/shx/Makefile
  head/palm/pilot-link/Makefile
  head/polish/ekg2/Makefile
  head/polish/kadu/Makefile
  head/print/fontforge/Makefile
  head/science/gnudatalanguage/Makefile
  head/science/qcl/Makefile
  head/science/silo/Makefile
  head/security/authforce/Makefile
  head/security/gnomint/Makefile
  head/security/gnupg/Makefile
  head/security/gnupg1/Makefile
  head/security/gnupg20/Makefile
  head/security/heimdal/Makefile
  head/security/krb5-113/Makefile
  head/security/krb5-114/Makefile
  head/security/krb5-115/Makefile
  head/security/osiris/Makefile
  head/security/ossec-hids-server/Makefile
  head/security/softether/Makefile
  head/security/softether-devel/Makefile
  head/security/wpa_supplicant/Makefile
  head/shells/es/Makefile
  head/shells/esh/Makefile
  head/shells/rc/Makefile
  head/shells/sparforte/Makefile
  head/sysutils/afflib/Makefile
  head/sysutils/android-file-transfer/Makefile
  head/sysutils/apachetop/Makefile
  head/sysutils/bacula-server/Makefile
  head/sysutils/djmount/Makefile
  head/sysutils/ipmitool/Makefile
  head/sysutils/lnav/Makefile
  head/sysutils/pwsafe/Makefile
  head/sysutils/renameutils/Makefile
  head/sysutils/riak-cs/Makefile
  head/sysutils/slurm-wlm/Makefile
  head/sysutils/stanchion/Makefile
  head/sysutils/xfsprogs/Makefile
  head/textproc/augeas/Makefile
  head/textproc/hunspell/Makefile
  head/textproc/refdb/Makefile
  head/textproc/sdcv/Makefile
  head/www/edbrowse/Makefile
  head/www/varnish4/Makefile
  head/www/varnish5/Makefile
  head/x11-wm/fvwm2/Makefile
  head/x11-wm/ratpoison/Makefile
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-06-27 13:50:36 UTC
Committed. Thanks!
Comment 4 commit-hook freebsd_committer 2017-06-28 14:52:09 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Jun 28 14:51:22 UTC 2017
New revision: 444580
URL: https://svnweb.freebsd.org/changeset/ports/444580

Log:
  Bump PORTREVISION for devel/readline shlib change

  PR:		219947

Changes:
  head/databases/postgresql92-client/Makefile
  head/databases/postgresql96-client/Makefile